package com.uas.search.console.b2b.model;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 * 主动报价单明细（历史数据）
 * 
 * @author yingp
 * 
 */
@Table(name = "sale$quotationitem")
@Entity
public class SaleQuotationItemSimpleInfo {

	@Id
	@Column(name = "qd_id")
	private Long id;

	/**
	 */
	@OneToOne(cascade = { CascadeType.REFRESH })
	@JoinColumn(name = "qd_prid", insertable = false, updatable = false)
	private ProductSimpleInfo product;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public ProductSimpleInfo getProduct() {
		return product;
	}

	public void setProduct(ProductSimpleInfo product) {
		this.product = product;
	}

	@Override
	public String toString() {
		return "SaleQuotationItemSimpleInfo [id=" + id + ", product=" + product + "]";
	}

}
